Name: libXfixes
Version: 5.0.3
Release: 3
License: X11
Summary: X.Org X11 libXfixes runtime library
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: pkg-config

BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel

%description
X.Org X11 libXfixes runtime library

%package -n libXfixes3
Summary: X.Org X11 libXfixes runtime library
Conflicts: libXfixes
Obsoletes: libXfixes

%description -n libXfixes3
X.Org X11 libXfixes runtime library

%package devel
Summary: X.Org X11 libXfixes development package
Requires: libXfixes3 = %{version}-%{release}
Requires: pkg-config
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 libXfixes development package

%prep
%setup -q

%build
export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXfixes3
%defattr(-, qsys, *none)
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libXfixes.so.3

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/extensions/Xfixes.h
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 5.0.3
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 5.0.3
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 5.0.3
- Initial spec
